implicit none          !暗黙の型宣言を無効にする
   real::tawami(10000) !たわみを入れる実数形の1次元配列
integer::i,n           !繰り返しステップ数、データの数
   real::goukei        !たわみの合計
   real::p,l           !荷重、スパン
   real::saidai,saisyou!最大変位、最小変位
!データ入力
 read*,n
  do i=1,n
     read*,tawami(i)
  end do
!合計の計算
 goukei=0.
  do i=1,n
     goukei=goukei+tawami(i)
  end do
!合計をデータの数で割って平均を出す
    print*,"平均(v)：",goukei/n
!曲げ剛性の計算
 p=2.4516625E-06
 l=0.9E-02
    print*,"曲げ剛性(EI)：",(p*l*l*l)/(3*(goukei/n))
!最大値
 saidai=0
  do i=1,n
   if(tawami(i) > saidai ) then
   saidai=tawami(i)
   end if
  end do
  print*,"最大値:",saidai
!最小値
 saisyou=100
  do i=1,n
   if(tawami(i) < saisyou ) then
   saisyou=tawami(i)
   end if
  end do
  print*,"最小値:",saisyou
end
